%define anolis_release 1
# Needs a TPMv2
%bcond_with check
%global __cargo_skip_build 0
%global __cargo_is_lib() false

Name:           clevis-pin-tpm2
Version:        0.5.3
Release:        %{anolis_release}%{?dist}
Summary:        Clevis PIN for unlocking with TPM2 supporting Authorized Policies

License:        MIT
URL:            https://github.com/fedora-iot/clevis-pin-tpm2/
Source0:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# To create the vendor tarball:
#   tar xf %%{name}-%%{version}.crate ; pushd %%{name}-%%{version} ; \
#   cargo vendor && tar Jcvf ../%%{name}-%%{version}-vendor.tar.xz vendor/ ; popd
Source1:        %{name}-%{version}-vendor.tar.xz

ExclusiveArch:  x86_64 aarch64 loongarch64
BuildRequires:  rust-toolset
BuildRequires:  clang-devel
BuildRequires:  openssl-devel
BuildRequires:  tpm2-tss-devel
Requires:       clevis

%description
%{summary}.

%prep
%autosetup -p1 -a1
%cargo_prep -v vendor

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%cargo_vendor_manifest

%install
%cargo_install
ln -s /usr/bin/clevis-pin-tpm2 %{buildroot}/usr/bin/clevis-encrypt-tpm2plus
ln -s /usr/bin/clevis-pin-tpm2 %{buildroot}/usr/bin/clevis-decrypt-tpm2plus

%if %{with check}
%check
%cargo_test -- -- --skip real_ --skip loop_ --skip travis_
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%{_bindir}/clevis-pin-tpm2
%{_bindir}/clevis-*-tpm2plus

%changelog
* Fri Feb 28 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.5.3-1
- Init package from upstream 0.5.3
